aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.PutUserPolicy

Synopsis

- data PutUserPolicy = PutUserPolicy {
  - pupPolicyDocument :: Text
  - pupPolicyName :: Text
  - pupUserName :: Text
  }
- data PutUserPolicyResponse = PutUserPolicyResponse

# Documentation

data PutUserPolicy Source #

Adds a policy document with the specified name, associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_PutUserPolicy.html

Constructors

PutUserPolicy |

Fields

- pupPolicyDocument :: Text

  The policy document.

- pupPolicyName :: Text

  Name of the policy.

- pupUserName :: Text

  Name of the user with whom this policy is associated.

#### Instances

Instances details

SignQuery PutUserPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ServiceConfiguration PutUserPolicy |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration

Methods

signQuery :: PutUserPolicy -> ServiceConfiguration PutUserPolicy queryType -> SignatureData -> SignedQuery Source #

Show PutUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods showsPrec :: Int -> PutUserPolicy -> ShowS Source # show :: PutUserPolicy -> String Source # showList :: [PutUserPolicy] -> ShowS Source #
Eq PutUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods (==) :: PutUserPolicy -> PutUserPolicy -> Bool Source # (/=) :: PutUserPolicy -> PutUserPolicy -> Bool Source #
Ord PutUserPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Methods

compare :: PutUserPolicy -> PutUserPolicy -> Ordering Source #

(<) :: PutUserPolicy -> PutUserPolicy -> Bool Source #

(<=) :: PutUserPolicy -> PutUserPolicy -> Bool Source #

(>) :: PutUserPolicy -> PutUserPolicy -> Bool Source #

(>=) :: PutUserPolicy -> PutUserPolicy -> Bool Source #

max :: PutUserPolicy -> PutUserPolicy -> PutUserPolicy Source #

min :: PutUserPolicy -> PutUserPolicy -> PutUserPolicy Source #

ResponseConsumer PutUserPolicy PutUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ResponseMetadata PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutUserPolicy -> IORef (ResponseMetadata PutUserPolicyResponse) -> HTTPResponseConsumer PutUserPolicyResponse Source #

Transaction PutUserPolicy PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
type ServiceConfiguration PutUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration

data PutUserPolicyResponse Source #

Constructors

PutUserPolicyResponse |

#### Instances

Instances details

AsMemoryResponse PutUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type MemoryResponse PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse

Methods

loadToMemory :: PutUserPolicyResponse -> ResourceT IO (MemoryResponse PutUserPolicyResponse) Source #

Show PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods showsPrec :: Int -> PutUserPolicyResponse -> ShowS Source # show :: PutUserPolicyResponse -> String Source # showList :: [PutUserPolicyResponse] -> ShowS Source #
Eq PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods (==) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool Source # (/=) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool Source #
Ord PutUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Methods

compare :: PutUserPolicyResponse -> PutUserPolicyResponse -> Ordering Source #

(<) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool Source #

(<=) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool Source #

(>) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool Source #

(>=) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool Source #

max :: PutUserPolicyResponse -> PutUserPolicyResponse -> PutUserPolicyResponse Source #

min :: PutUserPolicyResponse -> PutUserPolicyResponse -> PutUserPolicyResponse Source #

ResponseConsumer PutUserPolicy PutUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ResponseMetadata PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutUserPolicy -> IORef (ResponseMetadata PutUserPolicyResponse) -> HTTPResponseConsumer PutUserPolicyResponse Source #

Transaction PutUserPolicy PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
type MemoryResponse PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse
type ResponseMetadata PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata